Skip to main content
POST
cURL
Upgrade or change billing interval immediately, optionally applying an Offer. Scheduled changes do not accept offers.

Authorizations

x-api-key
string
header
required

Headers

Idempotency-Key
string

Unique key used to safely retry this write for 24 hours without applying it twice.

Required string length: 1 - 200
Commet-Version
string
default:2026-08-27

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required

Body

application/json
newPlanId
string
Minimum string length: 1
newBillingInterval
enum<string>
Available options:
weekly,
monthly,
quarterly,
semiannual,
yearly
successUrl
string<uri>
offerId
string
Minimum string length: 1

Response

Success

outcome
string
required
Allowed value: "requires_checkout"
requiresCheckout
boolean
required
checkoutUrl
string
required
object
string
required
Allowed value: "plan_change"
livemode
boolean
required
offerApplication
object